Skip to content

Retrieve payment method settings

GET
/v1/merchants/{merchant_id}/projects/{project_id}/settings/{payment_method}/

Authorization

apiKey
headerAuthorizationBasic <token>

HTTP Basic authentication with an API key or the id of a user token as the username and an empty password.

Path Parameters

merchant_id*string

The ID of the merchant, or self for the merchant of the credentials.

project_id*string

The ID of the project, or self for the project of the API key.

payment_method*string

The payment method, such as credit-card, apple-pay or bancontact.

Response Body

The settings of the payment method.

application/json
  1. response
enabled_by_merchant?boolean

Whether the merchant has the payment method switched on.

disabled_brands?array<string>

For credit-card only. Card brands the contract allows, but the merchant refuses.

curl -X GET 'https://api.example.com/v1/merchants/self/projects/b8a1c2d4-1234-4c5d-9e8f-0123456789ab/settings/apple-pay/' \  --user "$API_KEY:"
{  "enabled_by_merchant": true,  "disabled_brands": [    "string"  ]}